List Stake Actions
curl --request GET \
--url https://api.dfns.io/staking/stakes/{stakeId}/actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/staking/stakes/{stakeId}/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/staking/stakes/{stakeId}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "stka-567ui-9g9b7-ftgvpstk8qfa71b4",
"stakeId": "stk-0pmu3-tog2k-fdtn0teii2i4r13f",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"protocol": "Babylon",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"provider": "Figment",
"amount": "<string>",
"duration": 123,
"externalId": "<string>"
},
"dateCreated": "2023-04-14T20:41:28.715Z",
"transactionId": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"signatureId": "sig-4sfvl-f4iha-umighfi3hk4t54dr",
"transactionHash": "<string>",
"failureReason": "<string>"
}
],
"nextPageToken": "<string>"
}List Stake Actions
Retrieve the list of actions for a specific stake.
GET
/
staking
/
stakes
/
{stakeId}
/
actions
List Stake Actions
Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Path Parameters
Required string length:
1 - 64Pattern:
^stk-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
Minimum string length:
1Last modified on July 20, 2026
Was this page helpful?
⌘I